struct myTree_t {
 vector <Int_t> *   REC_Particle_pid = 0;
 vector <Int_t> *   RECFT_Particle_pid = 0;
 vector <Float_t> * REC_Particle_px = 0;
 vector <Float_t> * REC_Particle_py = 0;
 vector <Float_t> * REC_Particle_pz = 0;
 vector <Float_t> * REC_Particle_vx = 0;
 vector <Float_t> * REC_Particle_vy = 0;
 vector <Float_t> * REC_Particle_vz = 0;
 vector <Float_t> * REC_Particle_beta = 0;
 vector <Float_t> * RECFT_Particle_beta = 0;
 std::vector <Short_t> * RECFT_Particle_status = 0;

  std::vector<Short_t> * REC_Calorimeter_index = 0;
  std::vector<Short_t> * REC_Calorimeter_pindex = 0;
  std::vector<Char_t> * REC_Calorimeter_detector = 0;
  std::vector<Char_t> * REC_Calorimeter_sector = 0;
  std::vector<Char_t> * REC_Calorimeter_layer = 0;
  std::vector<Float_t> * REC_Calorimeter_energy = 0;
  std::vector<Float_t> * REC_Calorimeter_time = 0;
  std::vector<Float_t> * REC_Calorimeter_path = 0;
  std::vector<Float_t> * REC_Calorimeter_chi2 = 0;
  std::vector<Float_t> * REC_Calorimeter_x = 0;
  std::vector<Float_t> * REC_Calorimeter_y = 0;
  std::vector<Float_t> * REC_Calorimeter_z = 0;
  std::vector<Float_t> * REC_Calorimeter_hx = 0;
  std::vector<Float_t> * REC_Calorimeter_hy = 0;
  std::vector<Float_t> * REC_Calorimeter_hz = 0;
  std::vector<Float_t> * REC_Calorimeter_lu = 0;
  std::vector<Float_t> * REC_Calorimeter_lv = 0;
  std::vector<Float_t> * REC_Calorimeter_lw = 0;
  std::vector<Float_t> * REC_Calorimeter_du = 0;
  std::vector<Float_t> * REC_Calorimeter_dv = 0;
  std::vector<Float_t> * REC_Calorimeter_dw = 0;
  std::vector<Float_t> * REC_Calorimeter_m2u = 0;
  std::vector<Float_t> * REC_Calorimeter_m2v = 0;
  std::vector<Float_t> * REC_Calorimeter_m2w = 0;
  std::vector<Float_t> * REC_Calorimeter_m3u = 0;
  std::vector<Float_t> * REC_Calorimeter_m3v = 0;
  std::vector<Float_t> * REC_Calorimeter_m3w = 0;
  std::vector<Short_t> * REC_Calorimeter_status = 0;

 
};

void getBranchesStage1(TTree *inTree, myTree_t *myTree){
  inTree->SetBranchAddress("REC_Particle_pid",&myTree->REC_Particle_pid);
  inTree->SetBranchAddress("REC_Particle_px",&myTree->REC_Particle_px);
  inTree->SetBranchAddress("REC_Particle_py",&myTree->REC_Particle_py);
  inTree->SetBranchAddress("REC_Particle_pz",&myTree->REC_Particle_pz);
  inTree->SetBranchAddress("REC_Particle_vx",&myTree->REC_Particle_vx);
  inTree->SetBranchAddress("REC_Particle_vy",&myTree->REC_Particle_vy);
  inTree->SetBranchAddress("REC_Particle_vz",&myTree->REC_Particle_vz);
  inTree->SetBranchAddress("REC_Particle_beta",&myTree->REC_Particle_beta);
  inTree->SetBranchAddress("RECFT_Particle_status",&myTree->RECFT_Particle_status);
  inTree->SetBranchAddress("RECFT_Particle_beta",&myTree->RECFT_Particle_beta);
  inTree->SetBranchAddress("RECFT_Particle_pid",&myTree->RECFT_Particle_pid);

  inTree->SetBranchAddress("REC_Calorimeter_index",&myTree->REC_Calorimeter_index);
  inTree->SetBranchAddress("REC_Calorimeter_pindex",&myTree->REC_Calorimeter_pindex);
  inTree->SetBranchAddress("REC_Calorimeter_detector",&myTree->REC_Calorimeter_detector);
  inTree->SetBranchAddress("REC_Calorimeter_sector",&myTree->REC_Calorimeter_sector);
  inTree->SetBranchAddress("REC_Calorimeter_layer",&myTree->REC_Calorimeter_layer);//1->PCAL,4->EC Inner,7->EC Outer
  inTree->SetBranchAddress("REC_Calorimeter_energy",&myTree->REC_Calorimeter_energy);
  inTree->SetBranchAddress("REC_Calorimeter_time",&myTree->REC_Calorimeter_time);
  inTree->SetBranchAddress("REC_Calorimeter_path",&myTree->REC_Calorimeter_path);
  inTree->SetBranchAddress("REC_Calorimeter_chi2",&myTree->REC_Calorimeter_chi2);
 
  inTree->SetBranchAddress("REC_Calorimeter_lu",&myTree->REC_Calorimeter_x);
  inTree->SetBranchAddress("REC_Calorimeter_lv",&myTree->REC_Calorimeter_y);
  inTree->SetBranchAddress("REC_Calorimeter_lw",&myTree->REC_Calorimeter_z);

  inTree->SetBranchAddress("REC_Calorimeter_lu",&myTree->REC_Calorimeter_lu);//"distance on U-side"
  inTree->SetBranchAddress("REC_Calorimeter_lv",&myTree->REC_Calorimeter_lv);//"distance on V-side"
  inTree->SetBranchAddress("REC_Calorimeter_lw",&myTree->REC_Calorimeter_lw);//"distance on W-side"

}
